<%@ Page language="c#" Codebehind="autoFields.aspx.cs" AutoEventWireup="false" Inherits="lgwapp.common.sysform.autoFields" %>
<HTML>
<HEAD>
<title>Create Form Fields</title>
<link rel="stylesheet" type="text/css" href="/lgwres/forms/styles/form.css">
<link rel="stylesheet" type="text/css" href="/lgwres/styles/dialogs.css">
<script language="javascript" src="/lgwres/controls/util/util.js"></script>
<link rel="stylesheet" type="text/css" href="/lgwres/styles/main.css">
<script language="javascript" src="/lgwres/controls/util/util.js"></script>
<script language="javascript" src="/lgwres/scripts/main.js"></script>
<script language="JavaScript">
var _oXml = new ActiveXObject("Microsoft.XMLDOM");
var _xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
function createFields()
{
	butOK.disabled	= true;
	butCancel.disabled	= true;
	var url = "autofieldaction.aspx?FID=<%= Request.Params["FID"] %>";
	_xmlhttp.Open("POST", url, false);
	_xmlhttp.Send();
	_oXml.loadXML(_xmlhttp.responseXML.xml);
	var errMsg = _oXml.selectSingleNode("/error");
	if(errMsg != null) alert(errMsg.text); 
	else window.returnValue = true;
	window.close();
}

function cancel()
{
	window.close();
}
</script>
</HEAD>
<body>
<table style='width:100%; height:100%;' cellspacing='0' cellpadding='8'>
<tr><td colspan='2' class='header'>
<div class='header'>Generate Form Fields</div>
<div class='headerdesc'>Generate base form fields based on View SQL statement.</div></td></tr>
<tr><td colspan='2' class='main'>
<div id='divWarning'>This action will automatically generate base form fields 
based on the form's <i><b>View SQL</b></i> statement. Click on OK button to proceed.</div></td></tr>
<tr><td align='right' colspan=2 style='border-top:1px solid #ffffff;'>
<button id='butOK' onclick='createFields();'>OK</button>&nbsp;
<button id='butCancel' onclick='cancel();'>Cancel</button>
</td></tr></table>
</body>
</HTML>