/*******************************************************************
 *   Database Functions (V3.0)
 *   Designed for SQL Server 2000
 *   10/12/2005
 *   Copyright(C) Logicweb Solutions
 *******************************************************************/

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[lwvwFormFieldIDs]') and OBJECTPROPERTY(id, N'IsView')=1)
begin
PRINT 'drop view [dbo].[lwvwFormFieldIDs]'
drop view [dbo].[lwvwFormFieldIDs]
end
GO

PRINT 'CREATE VIEW [dbo].[lwvwFormFieldIDs]'
GO
CREATE VIEW [dbo].[lwvwFormFieldIDs]
AS
	SELECT t.form_id, s.tab_id, c.sec_id, c.control_id, c.control_type
	FROM lgwFormTabs t INNER JOIN lgwFormSections s ON (t.tab_id=s.tab_id)
	INNER JOIN lgwFormControls c ON (s.sec_id=c.sec_id)
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[lwvwUSStates]') and OBJECTPROPERTY(id, N'IsView')=1)
begin
PRINT 'drop view [dbo].[lwvwUSStates]'
drop view [dbo].[lwvwUSStates]
end
GO

PRINT 'CREATE VIEW [dbo].[lwvwUSStates]'
GO
CREATE VIEW [dbo].[lwvwUSStates]
AS
	SELECT value, name 
	FROM lgwSysData
	WHERE group_id='usstates'
GO
